Skip to content

DocExcpNotice⁠

Perform various operations for Symitar parameters.

Operations⁠

getDocExcpNoticeSelectFields⁠

POST

Execute the persistent ParameterService getDocExcpNoticeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DocExcpNoticeNoticeNumberintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDocExcpNoticeSelectFields
POST /nexum/627/persistent/parameter/getDocExcpNoticeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "DocExcpNoticeNoticeNumber": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllDocExcpNoticeFields": true,
    "DocExcpNoticeFields": {
      "DaysAfterPreviousNotice": true,
      "Line1": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "NoticeNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDocExcpNoticePagedListSelectFields⁠

POST

Execute the persistent ParameterService getDocExcpNoticePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDocExcpNoticePagedListSelectFields
POST /nexum/627/persistent/parameter/getDocExcpNoticePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDocExcpNoticeFields": true,
    "DocExcpNoticeFields": {
      "DaysAfterPreviousNotice": true,
      "Line1": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "NoticeNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDocExcpNoticePagedSelectFields⁠

POST

Execute the persistent ParameterService searchDocExcpNoticePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchDocExcpNoticePagedSelectFields
POST /nexum/627/persistent/parameter/searchDocExcpNoticePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDocExcpNoticeFields": true,
    "DocExcpNoticeFields": {
      "DaysAfterPreviousNotice": true,
      "Line1": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "NoticeNumber": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateDocExcpNoticeByID⁠

POST

Execute the persistent ParameterService updateDocExcpNoticeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DocExcpNoticeNoticeNumberintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateDocExcpNoticeByID
POST /nexum/627/persistent/parameter/updateDocExcpNoticeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "DocExcpNoticeNoticeNumber": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "DocExcpNoticeFields": {
    "DaysAfterPreviousNotice": 0,
    "Line1": "string",
    "Line2": "string",
    "Line3": "string",
    "Line4": "string",
    "NoticeNumber": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}